Subject: Re: [X2Go-Dev] Bug#516: X2go successfully connects to server, but no window is shown

From: Mike Gabriel <[email-masked]>
Date: Sat, 14 Jun 2014 22:48:52 +0000

HI Sebastien,

On  Sa 14 Jun 2014 22:23:10 CEST, sebastien chabrolles wrote:

> Package: x2goserver
> Version : 4.0.1.15
>
> Package: x2goagent
> Version : 3.5.0.24
>
> Hello,
>
> I'm using the latest package provided by fedora rawhide repo (v21) for
> x2goserver on IBM POWER8 Server (ppc64)
>
> - Installation is ok without error
> - Connexion from client to server is ok
> - But Nothing happen on the screen, I try several option (desktop, firefox
> browser, xterm), but no windows is shown and no errors in the logs.
> - I also try a ssh -X connexion and try xterm command, erverything works,
> but not with x2go
>
> Here is a copy of the session.log:
>
> NXAGENT - Version 3.5.0
>
> Copyright (C) 2001, 2011 NoMachine.
> See http://www.nomachine.com/ for more information.
>
> Info: Agent running with pid '3864'.
> Session: Starting session at 'Sat Jun 14 20:26:54 2014'.
> Info: Proxy running in server mode with pid '3864'.
> Info: Waiting for connection from 'localhost' on port '30123'.
> Info: Accepted connection from '127.0.0.1'.
> Info: Connection with remote proxy completed.
> Info: Using WAN link parameters 768/24/1/0.
> Info: Using agent parameters 5000/5/50/0/0.
> Info: Using cache parameters 4/4096KB/8192KB/8192KB.
> Info: Using pack method '16m-png-9' with session 'unix-kde-depth_32'.
> Info: Using ZLIB data compression 1/1/32.
> Info: Using ZLIB stream compression 1/1.
> Info: No suitable cache file found.
> Info: Listening to X11 connections on display ':89'.
> Info: Established X client connection.
> Info: Using shared memory parameters 1/1/1/2048K.
> Info: Using alpha channel in render extension.
> Info: Not using local device configuration changes.
> keyboard file created
> SessionPath not defined
> Session: Session started at 'Sat Jun 14 20:27:04 2014'.
> Session: Terminating session at 'Sat Jun 14 20:35:09 2014'.
> Info: Waiting the cleanup timeout to complete.
> Session: Session terminated at 'Sat Jun 14 20:35:10 2014'.
>
>
>
> Cordialement / Best Regards

There was at least one other size_t/socklen_t initialization issue  
(see [1]) that got fixed with a commit on Wednesday [2].

So, you may actually experience other unitialized memory issues with  
nx-libs 3.5.0.24.

Please use nx-libs from the nightly builds (or build it your self) and  
re-test with my fixes for the xtrans code in NX/X11. (xtrans is  
responsible to set up listening sockets for the X-Server as well as  
handle incoming connections).

Another issue may well be: does your Fedora PPC64 system use  
poly-instatiated /tmp directories? If so, then you want 3.5.0.25, as  
well.

Mike

[1]  
http://code.x2go.org/gitweb?p=nx-libs.git;a=blob;f=debian/patches/028_nx-X11_abstract-kernel-sockets.full.patch;h=ae672e94ba9d16e997a4df223a08cdb1d5ae1213;hb=656f29cc631972002ec0fe1ee8f2ee53438f818d
[2]  
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=656f29cc631972002ec0fe1ee8f2ee53438f818d

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb